:root {
    --blue: #0000FF;
    /* Pure blue */
    --navy-blue: #000080;
    /* Navy blue */
    --white: #FFFFFF;
    /* White */
    --black: #000000;
    /* Black */
    --deep-dark-blue: #001F3F;
    /* Very dark blue */
    --cyan: #00FFFF;
    /* Cyan */
    --cream-warm: #fff8e7;
    --cream-dark: #f0e6d2;
    --cream-warm-dark: #e8d9b5;
}

* {

    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'poppins', sans-serif;

    a {
        text-decoration: none;
    }

}

.border-divider {
    height: 1px;
    border: 0;
    margin: 0;
    padding: 0;
    background: var(--white);
    opacity: 1;
}

/* header starts here  */
.main-header {
    margin-bottom: 0;
    height: 60%;
    width: auto;
    background-image: url('../IMG/tree\ bg.jpg');
    background-color: var(--deep-dark-blue);
    background-blend-mode: multiply;
    background-size: contain;

    .navigation-bar {
        margin-left: 20px;
        padding: 0.9rem;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    ul {
        display: flex;
        list-style: none;
        color: var(--white);
        padding-right: 10rem;
        font-size: 1.5rem
    }

    ul li {
        margin: 0 1rem;
        padding-right: 1rem;
    }

    ul li a {
        text-decoration: none;
        color: var(--white);
    }

    ul li a:hover {
        color: var(--cyan);
    }

    .logo img {
        height: 5rem;
        width: auto;
    }

}

/* header section ends  */
.open {
    background-image: url('../IMG/hero3.jpg');
    background-color: var(--deep-dark-blue);
    background-blend-mode: color-burn;
    color: var(--white);
    padding: 50px;
    height: 30rem;

    h6 {
        color: var(--cyan);
        font-size: 0.75rem;
        padding: 30px;
    }

    h6::before {
        content: "";
        display: inline-block;
        width: 50px;
        height: 6px;
        background: linear-gradient(to right, var(--deep-dark-blue), var(--cream-warm));
        margin: auto 5px;
        vertical-align: middle;
    }

    h3 {
        font-size: 3rem;
        padding: 30px;
    }
}

.all-btn {
    background-color: var(--cream-warm);
    padding: 60px;
    align-items: center;
    text-align: center;

    .btn {
        color: var(--deep-dark-blue);
        padding: 10px;
        font-size: 1.5rem;
        border-color: var(--black);
        border-radius: 5px;
        background-color: var(--cream-warm);
        margin: 5px;
    }

    .btn:hover {
        background-color: var(--black);
        color: var(--cyan);
    }
}

.first-grid {
    display: grid;
    grid-template-rows: repeat(auto-fit, minmax(220px, 1fr));
    gap: 40px;
    padding: 20px;
    background-color: var(--cream-warm);
    max-width: 1100px;
    margin: 0 auto;
}

.first-card {
    position: relative;
    background-color: var(--white);
    box-shadow: 0.5px 10px var(--cream-dark);
    transition: transform 0.3s ease, box-shadow 0.3s ease;


    p {
        font-size: 1.5rem;
        padding: 20px;
        color: var(--navy-blue);
    }

    h5 {
        font-size: 2rem;
        color: var(--deep-dark-blue);
        padding: 10px;
    }
}

.first-card img {
    display: block;
    height: 25rem;
    width: 100%;
    position: relative;
    object-fit: cover;
}

.image-wrapper {
    position: relative;
}



.blog-btn-1,
.blog-btn-2,
.blog-btn-3,
.blog-btn-4,
.blog-btn-5,
.blog-btn-6 {
    left: 20px;
    top: auto;
    bottom: 10px;
    position: absolute;
    border-radius: 20px;
    border-color: none;
    font-size: 1rem;
    color: var(--deep-dark-blue);
    padding: 10px 20px;
    margin: 10px 0 10px auto;
    background-color: var(--cyan);
    z-index: 2;

}

.stay {
    background-color: var(--deep-dark-blue);
    color: var(--white);
    text-align: center;

    h6 {
        padding: 20px;
        text-align: center;
        color: var(--cyan);
        font-size: 0.75rem;
        letter-spacing: 3px;
    }

    h6::before {
        content: "";
        display: inline-block;
        width: 50px;
        height: 6px;
        background: linear-gradient(to right, var(--deep-dark-blue), var(--cream-warm));
        margin: auto 5px;
        vertical-align: middle;
    }

    p{
        font-size: 2rem;
        padding: 10px;
        text-align: center;
    }

    .btn{
        background-color: var(--cyan);
        color: var(--black);
        padding: 10px;
        font-size: 0.95;
        align-items: center;
        margin-bottom: 50px;
    }

    .btn:hover{
        background-color: var(--black);
        color: var(--cyan);
    }
}

/* footer here  */

.main-footer {
    padding: 90px 0 30px;
    color: var(--white);
    background-image: url(../IMG/tree\ bg.jpg);
    background-color: var(--deep-dark-blue);
    background-blend-mode: multiply;
    background-size: cover;
    position: relative;
    width: 100%;
    line-height: 20px;

    .logo {
        height: 50px;
        width: auto;
    }

    .row {
        padding: 10px 15px 5px;
        justify-content: flex-start;
        margin: auto;
        gap: 10px;

        display: flex;
    }

    .col {
        padding: 5px;

        p {
            color: var(--cream-warm);
        }

        h5 {
            color: var(--cream-warm);
            font-size: 1.5rem;
        }

        ul {
            list-style: none;
            text-decoration: none;
            color: var(--cream-warm);
            padding: 0;
        }

        ul li {
            margin-bottom: 10px;
            padding: 0;
        }

        ul li:hover {
            color: var(--cyan);
            cursor: pointer;
        }

        a {
            list-style: none;
            text-decoration: none;
            color: var(--cream-warm);
        }

        a:hover {
            color: var(--cyan);
            cursor: pointer;
        }

        .bi {
            color: var(--cyan);
            font-size: 1.5rem;
            margin-right: 10px;
        }

        .social-icons i {
            color: var(--cream-warm);
            text-decoration: none;
            font-size: 2.5rem;
            gap: 10px;
        }

        .social-icons i:hover {
            color: var(--cyan);
            cursor: pointer;
        }

        &:nth-child(2),
        &:nth-child(3) {
            flex-basis: -15%;
        }
    }

    hr {
        width: 100%;
        border: 2px solid var(--cyan);
        margin: 20px auto;
    }

    .copyright {
        margin: 0;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 20px 40px;
    }

    .copyright-links {
        display: flex;
        gap: 20px;
    }

    .copyright-links p:hover {
        color: var(--cyan);
        cursor: pointer;
    }

}